# SceneActuator Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A SceneActuator is a special kind of a general actuator More...

`#include <sceneactuator.h>`

Inherits: Actuator

## Public Members

- SceneActuator ()
- ~SceneActuator ()
- PyObject* setUseRestart (int flag)
- PyObject* getUseRestart ()
- PyObject* setScene (char* sceneName)
- PyObject* getScene ()
- PyObject* setCamera (char* camera)
- PyObject* getCamera ()

## Detailed Description

A SceneActuator is a special kind of a general actuator.

## PyObject* setUseRestart(int flag)

Set flag to 1 to restart the scene.

## PyObject* getUseRestart()

Return whether the scene will be restarted.

## PyObject* setScene(char* sceneName)

Set the scene to switch to.

## PyObject* getScene()

Return the scene to switch to.

## PyObject* setCamera(char* camera)

Set the camera to switch to.

## PyObject* getCamera()

Return the camera to switch to.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc